### Class

# Gimp GroupLayer

#### Description [src]

    final class Gimp.GroupLayer : Gimp.Layer
    {
      /* No available fields */
    }

Operations on a group layer.

#### Hierarchy

#### Ancestors

- GimpLayer
- GimpDrawable
- GimpItem
- GObject

#### Constructors

###### gimp_group_layer_new

Create a new group layer.

since: 2.8

#### Functions

###### gimp_group_layer_get_by_id

Returns a `GimpGroupLayer` representing `layer_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is a group layer or `NULL` otherwise.

since: 3.0

#### Instance methods

###### gimp_group_layer_merge

Merge the passed group layer’s layers into one normal layer.

since: 2.10.14

##### Methods inherited from GimpLayer (30)

Please see GimpLayer for a full list of methods.

##### Methods inherited from GimpDrawable (56)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (48)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpGroupLayerClass {
      GimpLayerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpLayerClass`

  No description available.